WAKE_Policy< B > Class Template Reference

WAKE stream cipher operation. More...

Inheritance diagram for WAKE_Policy< B >:

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 1, 64 >
typedef word32 | WordType
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 1, 64 >
unsigned int | GetAlignment () const
| Provides data alignment requirements. More...
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration. More...
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations. More...
bool | CanOperateKeystream () const
| Flag indicating. More...
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual unsigned int | GetOptimalBlockSize () const
| Provides number of ideal bytes to process. More...
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream. More...
virtual void | CipherResynchronize (byte *keystreamBuffer, const byte *iv, size_t length)
| Resynchronize the cipher. More...
virtual void | SeekToIteration (lword iterationCount)
| Seeks to a random position in the stream. More...
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 1, 64 >
static const int | BYTES_PER_ITERATION

## Detailed Description

### template<class B = BigEndian>
class WAKE_Policy< B >

WAKE stream cipher operation.

Template Parameters

  B | Endianess of the stream cipher

Definition at line 38 of file wake.h.

The documentation for this class was generated from the following files:

- wake.h
- wake.cpp